Luis N wrote:

Hi,
I fired up zope on a new server yesterday. It's very very slow! I didn't think about it much at first (because I didn't think it possible), but,


> sh bin/runzope
/usr/local/lib/python2.4/whrandom.py:38: DeprecationWarning: the whrandom module is deprecated; please use the random module
DeprecationWarning)
<trimmed>
line 99, in ? import psycopg
ImportError: No module named psycopg
</trimmed>
> /usr/local/bin/python2.3
Python 2.3.4 (#2, Jan 1 2005, 23:02:40)
[GCC 2.95.4 20020320 [FreeBSD]] on freebsd4
Type "help", "copyright", "credits" or "license" for more information.
>>> import psycopg
>>>
Zope appears to be defaulting, and running with Python2.4
Forgive my newbieness, but might this be because I did something silly like:
> python mkzopeinstance.py
rather than,
> /usr/local/bin/python2.3 mkzopeinstance.py
when the instance was first created?


------------------------------------------------------------------------

_______________________________________________
Zope maillist - Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
** No cross posts or HTML encoding! **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope-dev )


If you want Zope to use the Python located at <path_to_python>, you must run configure with --with-python

./configure --with-python=<path_to_python>

In your case that's ./configure --with-python=/usr/local/bin/python2.3
_______________________________________________
Zope maillist - Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
** No cross posts or HTML encoding! **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to